<?php

use Acms\Services\Login\Traits\TfaLockAttempt;

class ACMS_POST_Member_Admin_Tfa_Auth extends ACMS_POST_Member_Admin_Login
{
    use TfaLockAttempt;

    /**
     * 正常なルートからのPOSTかどうかをチェック
     *
     * @inheritDoc
     */
    protected function isValidPostRoute(): bool
    {
        return Login::canLoginPage(BID, LOGIN_SEGMENT);
    }

    /**
     * @inheritDoc
     */
    protected function tfaLockScope(): string
    {
        return 'Member_Admin_Tfa';
    }
}
